
/*------------------------------------------------------------------------
    File        : CustOpenBal.p
    Purpose     : 

    Syntax      :

    Description : 

    Author(s)   : student
    Created     : Tue Mar 09 10:34:54 EST 2010
    Notes       :
  ----------------------------------------------------------------------*/

/* ***************************  Definitions  ************************** */



/* ********************  Preprocessor Definitions  ******************** */


/* ***************************  Main Block  *************************** */

define temp-table ttCustomer
  field CustNum as integer 
  field SalesRep as character 
  field SalesRepName as character 
  field CustName as character 
  field Contact as character  
  field CreditLimit as decimal
  field Balance as decimal 
  field Terms as character 
  field Discount as integer 
index idxCustNum is primary unique CustNum.

define dataset dsCustomer for ttCustomer.

define input parameter pcReportID as character no-undo.
define input parameter pcDataDir as character no-undo.
define output parameter pcReportURL as character no-undo.


define variable hDataSet as handle no-undo.
define variable cXMLDataFile as character no-undo.


hDataSet = dataset dsCustomer:HANDLE.

for each Customer, first salesrep of customer  no-lock:
    
    
    create ttCustomer.
    buffer-copy Customer to ttCustomer
      assign ttCustomer.CustName = Customer.Name
             ttCustomer.SalesrepName = Salesrep.repname. 
    
end.

cXMLDataFile = substitute('&1\&2.xml', pcDataDir, pcReportID).

message cXMLDataFile view-as alert-box.

hDataSet:write-xml('file',           /* Type   */
                    cXMLDataFile,    /* OutputDes */
                    true,            /* Format */
                    "",              /* Encode */
                    "",              /* SchemaLoc */
                    true,            /* Write Schema */
                    false,           /* MinSchema */
                    false).          /* WriteBI */
                     
run ABL/RenderReport.p (input pcReportID,
                        input pcDataDir, 
                        input 'custbal').


pcReportURL = substitute('http://localhost:8080/birt/frameset?__report=burt/custbal.rptdesign&&DataFileLocation=&1\&2.xml',
pcDataDir, pcReportID).


