
/*------------------------------------------------------------------------
    File        : RenderReport.p
    Purpose     : 

    Syntax      :

    Description : 

    Author(s)   : C. Longo
    Created     : Fri Mar 19 11:44:33 EDT 2010
    Notes       :
  ----------------------------------------------------------------------*/

/* ***************************  Definitions  ************************** */



/* ********************  Preprocessor Definitions  ******************** */


/* ***************************  Main Block  *************************** */

define input parameter pcReportID as character no-undo.
define input parameter pcDataDir as character no-undo.
define input parameter pcBIRTRptName as character no-undo.

define variable cBirtCommand as character no-undo.
define variable cBirtBatFile as character no-undo.


cBirtBatFile = substitute('c:\temp\&1.bat', pcReportID).

cBirtCommand = '"C:\Program Files\birt-runtime-2_6_2\ReportEngine\genReport" -f PDF -p "DataFileLocation=&1\&2.xml" -o "&1\&2.pdf" "C:\PrecisionStrip\ZombieLab1\Reports\Burt\&3.rptdesign"'.

cBirtCommand = substitute(cBirtCommand, pcDataDir, pcReportID, pcBIRTRptName).

message cBirtCommand view-as alert-box.

output TO VALUE(cBirtBatFile).
put unformatted cBirtCommand.
output CLOSE.

os-command silent value(cBirtBatFile).

message 'Report Complete!' view-as alert-box.